# RPM specfile for db1 module
# Generated Tue Nov 18 19:24:20 2003 GMT by Ximian build system
# $Id: bb_do,v 1.241 2003/07/31 17:23:14 thunder Exp $
# from $Id: ximian-build.conf,v 1.2.4.1 2003/11/18 19:03:14 mibarra Exp $

%define nam	db1
%define ver	1.85
%define licensedir	%{_datadir}/licenses/%{nam}-%{ver}
%define ximrev	2

Name:     	db1
Version: 	1.85
Release:	0.ximian.6.2
Vendor:		Ximian, Inc.
Distribution:	Ximian GNOME for Red Hat Linux 9 / i386
Copyright:	BSD
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:         /usr/share/doc

URL:		http://www.sleepycat.com/
Source0:	db.1.85.tar.gz
Patch0:		db.1.85.patch
Patch1:		db.1.85.s390.patch
Patch2:		db.1.85.nodebug.patch
Summary:	The BSD database library for C (version 1)
Group:		System Environment/Libraries
Provides:	ximian-db1 = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}
Conflicts:	gnome-libs = 1:1.4.1.2.90-22
Conflicts:	ximian-gnome-libs = 1:1.4.2-3

%description
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package should be installed if
compatibility is needed with databases created with the Berkeley DB
version 1. This library used to be part of the glibc package.

%files
%defattr(-, root, root)
%doc LICENSE changelog README
/usr/lib/libdb1.so.*
/usr/lib/libdb.so.*
/usr/bin/db1_dump185


%post
ldconfig

%postun
ldconfig

%package -n db1-devel
Summary:	Development files for Berkeley DB (version 1) library
Group:		Development/Libraries
Requires:	%{nam} = %{PACKAGE_VERSION}
Provides:	ximian-db1-devel = %{?epoch:%{epoch}:}%{version}-%{?ximrev:%{ximrev}}%{!?ximrev:%{release}}

%description -n db1-devel
The Berkeley Database (Berkeley DB) is a programmatic toolkit that
provides embedded database support for both traditional and
client/server applications. This package contains the header files,
libraries, and documentation for building programs which use Berkeley
DB (version 1).

%files -n db1-devel
%defattr(-, root, root)
%doc docs/*.ps.gz
/usr/include/db1
/usr/lib/libdb1.a
/usr/lib/libdb1.so


# $RPM_COMMAND is an environment variable used by the Ximian build
# system to control the build process with finer granularity than RPM
# normally allows.  This specfile will function as expected by RPM if
# $RPM_COMMAND is unset.  If you are not the Ximian build system,
# feel free to ignore it.

%prep
case "${RPM_COMMAND:-all}" in
dist)
%setup  -q -D -n db.1.85
    ;;
all)
%setup  -q -n db.1.85
    ;;
esac
case "${RPM_COMMAND:-all}" in
dist|all)
%patch -p1 -P 0
%patch -p1 -P 1
%patch -p1 -P 2
    ;;
esac

%build
MAKE=${MAKE:-make}
RPM_COMMAND=${RPM_COMMAND:-all}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
ARCH=%{_target_platform}
export MAKE RPM_COMMAND DESTDIR ARCH
case "$RPM_COMMAND" in
prepare|all)
    gzip -9 docs/*.ps
    ;;
esac
case "$RPM_COMMAND" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac
case "$RPM_COMMAND" in
build|all)
    
cd include
ln -sf db.h db_185.h
cd ../PORT/linux
${MAKE} OORG="$RPM_OPT_FLAGS"
	    
    ;;
esac

%install
MAKE=${MAKE:-make}
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
# export DESTDIR
case "${RPM_COMMAND:-all}" in
install|all)
    
mkdir -p ${DESTDIR}/usr/{include/db1,lib,bin}
sed -n '/^\/\*-/,/^ \*\//s/^.\*.\?//p' include/db.h | grep -v '^@.*db\.h' > LICENSE
perl -pi -e 's/<db.h>/<db1\/db.h>/' PORT/include/ndbm.h
cd PORT/linux
sover=`echo libdb.so.* | sed 's/libdb.so.//'`
install -m644 libdb.a                   ${DESTDIR}/usr/lib/libdb1.a
install -m755 libdb.so.$sover           ${DESTDIR}/usr/lib/libdb1.so.$sover
ln -sf libdb1.so.$sover                 ${DESTDIR}/usr/lib/libdb1.so
ln -sf libdb1.so.$sover                 ${DESTDIR}/usr/lib/libdb.so.$sover
install -m644 ../include/ndbm.h         ${DESTDIR}/usr/include/db1/
install -m644 ../../include/db.h        ${DESTDIR}/usr/include/db1/
install -m644 ../../include/mpool.h     ${DESTDIR}/usr/include/db1/
install -s -m755 db_dump185             ${DESTDIR}/usr/bin/db1_dump185
	    
    ;;
esac

%clean
DESTDIR=${DESTDIR:-"$RPM_BUILD_ROOT"}
export DESTDIR
case "${RPM_COMMAND:-all}" in
clean|all)
    if [ "/" != "$DESTDIR" ]; then
	rm -rf "$DESTDIR"
    fi
    ;;
esac


%changelog
* Tue Nov 18 2003 Ximian, Inc.

- Version: 1.85-0.ximian.6.2
- Summary: New build.
- New automated build.

